## org.biojava.bio.program.formats
Class Ligand.Reaction

    java.lang.Object
      org.biojava.bio.program.formats.Ligand.Reaction

All Implemented Interfaces:
  Format

Enclosing class:
  Ligand

    public static class Ligand.Reaction

extends Object
implements Format

Constructor Summary
`Ligand.Reaction()`

Method Summary
`LifeScienceIdentifier` `getLSID()` Retrieve the LSID associated with this format.
`ParserListener` `getParserListener(TagValueListener listener)` Retrieve a ParserListener pair for the format that will pass all events on to a listener.
`AnnotationType` `getType()` Get the AnnotationType that constrains the events that will be fired.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ligand.Reaction

    public Ligand.Reaction()

Method Detail

### getParserListener

    public ParserListener getParserListener(TagValueListener listener)

  Description copied from interface: `Format`
  Retrieve a ParserListener pair for the format that will pass all events on to a listener. Call this method to get a working parser that can be fed into a tag-value parsing pipeline. This method may well be called many times during the lifetime of an applications.. You should make this threadsafe. To avoid buring too much memory, and to facilitate the comparrison of object by the == operator, it is usefull to shair as much data as possible between the parsers and handlers returned by this method.

  Specified by:
    `getParserListener` in interface `Format`
  Parameters:
    `listener` - a TagValueListener that all events should be passed onto
  Returns:
    a ParserListener for the format

### getType

    public AnnotationType getType()

  Description copied from interface: `Format`
  Get the AnnotationType that constrains the events that will be fired. If you feed the events from the ParserListener into somethign that builds Annotation bundles, this is the AnnotationType that those bundles will conform to. In the cases where the events have been sensibly crafted, it will be possible to introspect a great deal about the parsing events from this AnntoationType. Use it to dynamicaly bind events to object models, generate gui componets, and to work out which formats contain cross-refferenceable information. It is polite to return a full and constrained description of the types of oevents that may be generated, how many of them could come (cardinality) and what types of values will be associated with them. The use of OmtologyTerm instances as property names is encouraged.

  Specified by:
    `getType` in interface `Format`
  Returns:
    an AnnotationType representingchema for the events

### getLSID

    public LifeScienceIdentifier getLSID()

  Description copied from interface: `Format`
  Retrieve the LSID associated with this format.

  The OBDA recomends taht file formats have identifiers assopciated with them. This allows the format to be specified unambiguously across different projects and groups. Idealy, a format LSID should conform to the odda formats specification.

  Specified by:
    `getLSID` in interface `Format`